Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.server.remoting
Class JMSWireFormat

    java.lang.Object
      org.jboss.jms.server.remoting.JMSWireFormat

public class JMSWireFormat
extends java.lang.Object

A JMSWireFormat. For some invocations, e.g. message sends, acknowledgements and activations it is vital that we minimise the amount of data sent in the invocation so that we can maximise performance. By default, Invocations and return values are sent over the wire as serialized Java objects. This adds considerable overhead in terms of the amount of data sent (it adds class information plus block data information) which significantly degrades performance. Therefore for the invocations where performance is paramount we define a customer wire format that minimises the amount of data sent.

Version:
  1.1 JMSWireFormat.java,v 1.1 2006/02/01 17:38:32 timfox Exp
Author:
  Tim Fox, Ovidiu Feodorov

Field Summary
`protected static byte` | `ACKNOWLEDGE`
`protected static byte` | `ACTIVATE`
`protected static byte` | `CALLBACK`
`protected static byte` | `CANCEL_DELIVERIES`
`protected static byte` | `CANCEL_DELIVERY`
`protected static byte` | `DEACTIVATE`
`protected static byte` | `DEACTIVATE_RESPONSE`
`protected static byte` | `GET_ID_BLOCK`
`protected static byte` | `GETMESSAGENOW`
`protected static byte` | `ID_BLOCK_RESPONSE`
`protected static byte` | `MESSAGE_RESPONSE`
`protected static byte` | `NULL_RESPONSE`
`protected static byte` | `SEND`
`protected static byte` | `SEND_TRANSACTION`
`protected Marshaller` | `serializableMarshaller`
`protected UnMarshaller` | `serializableUnMarshaller`
`protected static byte` | `SERIALIZED`
`protected boolean` | `trace`

Constructor Summary
`JMSWireFormat()`

Method Summary
`Marshaller` | `cloneMarshaller()`
`UnMarshaller` | `cloneUnMarshaller()`
`protected void` | `handleVersion(java.lang.Object obj, java.io.ObjectOutputStream oos)`
`java.lang.Object` | `read(java.io.InputStream in, java.util.Map map)`
`void` | `setClassLoader(java.lang.ClassLoader classloader)`
`void` | `write(java.lang.Object obj, java.io.OutputStream out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERIALIZED

    protected static final byte SERIALIZED

See Also:
  Constant Field Values

### SEND

    protected static final byte SEND

See Also:
  Constant Field Values

### ACTIVATE

    protected static final byte ACTIVATE

See Also:
  Constant Field Values

### DEACTIVATE

    protected static final byte DEACTIVATE

See Also:
  Constant Field Values

### GETMESSAGENOW

    protected static final byte GETMESSAGENOW

See Also:
  Constant Field Values

### ACKNOWLEDGE

    protected static final byte ACKNOWLEDGE

See Also:
  Constant Field Values

### SEND_TRANSACTION

    protected static final byte SEND_TRANSACTION

See Also:
  Constant Field Values

### GET_ID_BLOCK

    protected static final byte GET_ID_BLOCK

See Also:
  Constant Field Values

### CANCEL_DELIVERY

    protected static final byte CANCEL_DELIVERY

See Also:
  Constant Field Values

### CANCEL_DELIVERIES

    protected static final byte CANCEL_DELIVERIES

See Also:
  Constant Field Values

### CALLBACK

    protected static final byte CALLBACK

See Also:
  Constant Field Values

### NULL_RESPONSE

    protected static final byte NULL_RESPONSE

See Also:
  Constant Field Values

### MESSAGE_RESPONSE

    protected static final byte MESSAGE_RESPONSE

See Also:
  Constant Field Values

### ID_BLOCK_RESPONSE

    protected static final byte ID_BLOCK_RESPONSE

See Also:
  Constant Field Values

### DEACTIVATE_RESPONSE

    protected static final byte DEACTIVATE_RESPONSE

See Also:
  Constant Field Values

### serializableMarshaller

    protected Marshaller serializableMarshaller

### serializableUnMarshaller

    protected UnMarshaller serializableUnMarshaller

### trace

    protected boolean trace

Constructor Detail

### JMSWireFormat

    public JMSWireFormat()

Method Detail

### write

    public void write(java.lang.Object obj,
                      java.io.OutputStream out)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### cloneMarshaller

    public Marshaller cloneMarshaller()
                               throws java.lang.CloneNotSupportedException

  Throws:
    `java.lang.CloneNotSupportedException`

### read

    public java.lang.Object read(java.io.InputStream in,
                                 java.util.Map map)
                          throws java.io.IOException,
                                 java.lang.ClassNotFoundException

  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### cloneUnMarshaller

    public UnMarshaller cloneUnMarshaller()
                                   throws java.lang.CloneNotSupportedException

  Throws:
    `java.lang.CloneNotSupportedException`

### setClassLoader

    public void setClassLoader(java.lang.ClassLoader classloader)

### handleVersion

    protected void handleVersion(java.lang.Object obj,
                                 java.io.ObjectOutputStream oos)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.